module.exports = function(grunt) {
  // Project configuration.
  grunt.initConfig({
    pkg: grunt.file.readJSON('package.json'),
    concat: {
      dist: {
        src: ['src/*.js'],
        dest: 'lib/jquery.table_sort.js'
      }
    },
    uglify: {
      dist: {
        files: {
          'lib/jquery.table_sort.min.js': ['<%= concat.dist.dest %>']
        },
        options: {
          banner: '/*! <%= pkg.name %> - v<%= pkg.version %> */'
        }
      }
    },
    jshint: {
      files: [
        'Gruntfile.js',
        'package.json',
        'src/*.js',
        '.jshintrc'
      ],
      options: {
        jshintrc: '.jshintrc'
      }
    },
    watch: {
      scripts: {
        files: [
          'Gruntfile.js',
          'package.json',
          'src/*.js'
        ],
        tasks: ['jshint', 'concat', 'uglify'],
        options: {
          spawn: false,
        }
      }
    }
  });

  // Load the plugin.
  grunt.loadNpmTasks('grunt-contrib-concat');
  grunt.loadNpmTasks('grunt-contrib-uglify');
  grunt.loadNpmTasks('grunt-contrib-watch');
  grunt.loadNpmTasks('grunt-contrib-jshint');

  // Default task(s).
  grunt.registerTask('default', ['jshint', 'concat', 'uglify', 'watch']);
};
